Bug 428574 - openoffice.org crash on a french word document
openoffice.org crash on a french word document
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-13 11:54 EST by Mihai Harpau
Modified: 2008-04-22 18:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.3.0-6.14.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
french word document (1.20 MB, application/msword)
2008-01-13 11:54 EST, Mihai Harpau
no flags Details
this patch at least makes it not crash (1.01 KB, patch)
2008-01-14 03:40 EST, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 85216 None None None Never

  None (edit)
Description Mihai Harpau 2008-01-13 11:54:48 EST
Description of problem:

openoffice.org crash when try to open a french word document

Version-Release number of selected component (if applicable):

openoffice.org-core-2.3.0-6.7.fc8-i386
openoffice.org-core-2.3.0-6.10.fc8-i386

Actual results:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules//drivers/intel_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-33-i386
(V)    kernel is: Linux 2.6.23.12-98.fc8PAE #1 SMP Tue Dec 18 20:59:42 EST 2007
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.10.fc8-i386
(VII)  accessibility is: false
(VIII) fedora release is: Fedora release 8 (Werewolf)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/taz-home 114237892  87218088  21123204  81% /home
/dev/mapper/taz-root  28726024   6375080  20868192  24% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x01b691a9: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x211a9
0x01b69c6e: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21c6e
0x00110420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x0043e3c1: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x1f53c1
0x0043f964: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x1f6964
0x00440715: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x1f7715
0x0043c7d2: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x1f37d2
0x0042ba10: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x1e2a10
0x003c4f60: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x17bf60
0x0045b22a: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x21222a
0x0045b6ed: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x2126ed
0x0045c760: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x213760
0x0045b31f: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x21231f
0x0043a092: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x1f1092
0x0048d387: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x244387
0x00472e3b: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x229e3b
0x0042caa1: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x1e3aa1
0x004719d4: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x2289d4
0x0042ba10: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x1e2a10
0x003c4f60: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x17bf60
0x004519fb: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x2089fb
0x00451f0a: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x208f0a
0x00451f0a: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x208f0a
0x00453188: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x20a188
0x0045384b: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x20a84b
0x004007cf: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x1b77cf
(ViewShell::CalcLayout() + 0xf9)
0x003d5675: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x18c675
(SwEditShell::CalcLayout() + 0x27)
0x003d4439: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x18b439
(SwEditShell::UpdateTableOf(SwTOXBase const&, SfxItemSet const*) + 0xdf)
0x009803dd: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x7373dd
(SwWrtShell::UpdateTableOf(SwTOXBase const&, SfxItemSet const*) + 0x33)
0x00957add: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x70eadd
(SwView::Execute(SfxRequest&) + 0x100b)
0x009521b8: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x7091b8
(SwView::SwView(SfxViewFrame*, SfxViewShell*) + 0xcaa)
0x0094bb06: 0x00b0d5e4: /usr/lib/openoffice.org/program/libsw680li.so + 0x702b06
(SwView::CreateInstance(SfxViewFrame*, SfxViewShell*) + 0x2e)
0x0250dc6d: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so +
0x196c6d (SfxViewFactory::CreateInstance(SfxViewFrame*, SfxViewShell*) + 0x11)
0x02514c16: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x19dc16
0x0251dfc1: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so +
0x1a6fc1 (SfxTopViewFrame::SfxTopViewFrame(SfxFrame*, SfxObjectShell*, unsigned
short) + 0x1e7)
0x0251f6ba: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so +
0x1a86ba (SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x41a)
0x0250322e: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x18c22e
0x028dda69: 0x00274ebc: /usr/lib/openoffice.org/program/libfwk680li.so + 0xf6a69
0x028ddcda: 0x00274ebc: /usr/lib/openoffice.org/program/libfwk680li.so + 0xf6cda
0x028de3b8: 0x00274ebc: /usr/lib/openoffice.org/program/libfwk680li.so + 0xf73b8
0x028202c5: 0x00274ebc: /usr/lib/openoffice.org/program/libfwk680li.so + 0x392c5
0x001497b5: 0x0006128c: /usr/lib/openoffice.org/program/libsoffice.so + 0x387b5
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x1157)
0x00141790: 0x0006128c: /usr/lib/openoffice.org/program/libsoffice.so + 0x30790
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x172)
0x00137fd8: 0x0006128c: /usr/lib/openoffice.org/program/libsoffice.so + 0x26fd8
(desktop::Desktop::OpenClients() + 0x1002)
0x001382f9: 0x0006128c: /usr/lib/openoffice.org/program/libsoffice.so + 0x272f9
(desktop::Desktop::OpenClients_Impl(void*) + 0x2f)
0x001383a1: 0x0006128c: /usr/lib/openoffice.org/program/libsoffice.so + 0x273a1
(desktop::Desktop::LinkStubOpenClients_Impl(void*, void*) + 0x1d)
0x045ae173: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x87173
0x0473eb3e: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x217b3e
0x0686c2c9: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x1f2c9
0x06894e6a: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x47e6a (SalDisplay::DispatchInternalEvent() + 0x78)
0x03082679: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x14679
0x030826a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x146a8
0x054e7541: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x2b541
0x054e910c: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x2d10c (g_main_context_dispatch
+ 0x17c)
0x054ec54f: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x3054f
0x054ecab5: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x30ab5
(g_main_context_iteration + 0x65)
0x030824a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x144a8
0x0689b0bd: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4e0bd (X11SalInstance::Yield(bool, bool) + 0x2f)
0x045b63bf: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8f3bf
(Application::Yield(bool) + 0x57)
0x045b647d: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8f47d
(Application::Execute() + 0x2b)
0x0013477b: 0x0006128c: /usr/lib/openoffice.org/program/libsoffice.so + 0x2377b
(desktop::Desktop::Main() + 0x15fb)
0x045baf13: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x93f13
0x045bb029: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x94029
(SVMain() + 0x2d)
0x0012ddde: 0x0006128c: /usr/lib/openoffice.org/program/libsoffice.so + 0x1cdde
(main + 0xe2)
0x0583c390: 0x00154d7c: /lib/libc.so.6 + 0x16390 (__libc_start_main + 0xe0)
0x080484e1: 0x000006f8: /usr/lib/openoffice.org/program/swriter.bin + 0x4e1
(main + 0x59)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00249000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00170000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00687000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x006a3000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00212000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x006c0000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00701000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x0021c000)
	libdl.so.2 => /lib/libdl.so.2 (0x00220000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00225000)
	librt.so.1 => /lib/librt.so.1 (0x00785000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x0078e000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x007ab000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x007ea000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x0082a000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x008f4000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0097d000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00d53000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00e55000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00ebb000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00f56000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x06d13000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x06734000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x068d2000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x0645b000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x06413000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x0731f000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x06b99000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x0634d000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0639e000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x069e9000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x01002000)
	libm.so.6 => /lib/libm.so.6 (0x010ed000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x06329000)
	libc.so.6 => /lib/libc.so.6 (0x070db000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x01116000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x01119000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x06e75000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x0111e000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x06e3b000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x0114d000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x01150000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x01159000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x01160000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x0116a000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x06f41000)
	libz.so.1 => /lib/libz.so.1 (0x06e4f000)
	/lib/ld-linux.so.2 (0x0022c000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x0119b000)
	libcap.so.1 => /lib/libcap.so.1 (0x011b4000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x011b7000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x011c0000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x011da000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x011e1000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x0124e000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x0137d000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x04a09000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x04c03000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x049ad000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x04db8000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x0022a000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x04bbe000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x0497f000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x04c31000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb7488000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x064e6000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x049c4000)
...end sample ldd details ...

Additional info:

abiword could open the document even if do not display all characters
Comment 1 Mihai Harpau 2008-01-13 11:54:48 EST
Created attachment 291505 [details]
french word document
Comment 2 Caolan McNamara 2008-01-14 03:40:26 EST
Created attachment 291576 [details]
this patch at least makes it not crash
Comment 3 Caolan McNamara 2008-01-14 03:45:44 EST
Bug and possible patch logged at:
http://www.openoffice.org/issues/show_bug.cgi?id=85216
Comment 4 Caolan McNamara 2008-01-21 06:59:20 EST
Fix available and checked in, will be in >= 2.3.0-6.12
Comment 5 Fedora Update System 2008-03-20 04:07:29 EDT
openoffice.org-2.3.0-6.12.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-03-21 18:01:55 EDT
openoffice.org-2.3.0-6.12.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2552
Comment 7 Mihai Harpau 2008-03-22 04:00:58 EDT
with openoffice.org-2.3.0-6.12.fc8 the bug is fixed. thanks!
Comment 8 Fedora Update System 2008-04-08 14:40:52 EDT
openoffice.org-2.3.0-6.13.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-04-17 14:38:49 EDT
openoffice.org-2.3.0-6.14.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-04-22 18:40:59 EDT
openoffice.org-2.3.0-6.14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.